local f1 = CreateFrame("Frame",nil,UIParent,"TooltipBorderedFrameTemplate")
f1:SetWidth(288)
f1:SetHeight(390)
f1:SetAlpha(.90)
f1:SetPoint("CENTER",-200,220)
f1:SetMovable(true)
f1:EnableMouse(true)
f1:SetClampedToScreen(true)
f1:RegisterForDrag("RightButton")
f1:RegisterEvent("UNIT_HEALTH_FREQUENT")
f1:RegisterEvent("UNIT_POWER_FREQUENT")
f1:RegisterEvent("UNIT_TARGET")
f1:RegisterEvent("UNIT_COMBAT")
f1:RegisterEvent("QUEST_DETAIL")
f1:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
f1:SetScript("OnDragStart", f1.StartMoving)
f1:SetScript("OnDragStop", f1.StopMovingOrSizing)
f1:SetScript("OnMouseDown", function (self, button)
	if(button == "LeftButton") then f1:Hide() end
end)
f1:SetScript("OnEvent", function(self, event, ...)
	if(event == "UNIT_HEALTH_FREQUENT") then ShowStats() end
	if(event == "UNIT_POWER_FREQUENT") then ShowStats() end
	if(event == "UNIT_TARGET") then UpdateCombat() ;  ShowStats() end
	if(event == "UNIT_COMBAT") then local arg1, arg2, arg3, arg4, arg5 = ... ; UpdateHealing(self, arg2, arg3, arg4, arg5) ; ShowStats() end
	if(event == "COMBAT_LOG_EVENT_UNFILTERED") then SendStatus(self, CombatLogGetCurrentEventInfo()) ; ShowStats() end
	if(event == "QUEST_DETAIL") then AcceptQuest() end
end)
local t1 = f1:CreateFontString(nil, "OVERLAY", "GameFontNormal")
t1:SetPoint("TOPLEFT", 20, -12)
t1:SetWidth(234)
t1:SetHeight(364)
t1:SetJustifyH("LEFT")
local t2 = f1:CreateFontString(nil, "OVERLAY", "GameFontNormal")
t2:SetPoint("TOPLEFT", 20, -12)
t2:SetWidth(234)
t2:SetHeight(364)
t2:SetJustifyH("RIGHT")
f1:Show()

local f2 = CreateFrame("Frame",nil,UIParent,"TooltipBorderedFrameTemplate")
f2:SetWidth(306)
f2:SetHeight(300)
f2:SetAlpha(.90)
f2:SetPoint("CENTER",0,0)
f2:SetMovable(true)
f2:EnableMouse(true)
f2:SetClampedToScreen(true)
f2:RegisterForDrag("RightButton")
f2:SetScript("OnMouseDown", function (self, button)
	if(button == "LeftButton") then ResetAllAreas() end
end)
f2:SetScript("OnDragStart", f2.StartMoving)
f2:SetScript("OnDragStop", f2.StopMovingOrSizing)
local t3 = f2:CreateFontString(nil, "OVERLAY", "NumberFontNormalLarge")
t3:SetPoint("TOPLEFT",8, -8)
t3:SetWidth(290)
t3:SetHeight(280)
t3:SetJustifyH("LEFT")
local t4 = f2:CreateFontString(nil, "OVERLAY", "NumberFontNormalLarge")
t4:SetPoint("TOPLEFT", 214, -8)
t4:SetWidth(80)
t4:SetHeight(120)
t4:SetJustifyH("RIGHT")
local t5 = f2:CreateFontString(nil, "OVERLAY", "NumberFontNormalLarge")
t5:SetPoint("TOPLEFT", 74, -96)
t5:SetWidth(80)
t5:SetHeight(202)
t5:SetJustifyH("RIGHT")
local t8 = f2:CreateFontString(nil, "OVERLAY", "NumberFontNormalLarge")
t8:SetPoint("TOPLEFT", 144, -96)
t8:SetWidth(80)
t8:SetHeight(202)
t8:SetJustifyH("RIGHT")
local t9 = f2:CreateFontString(nil, "OVERLAY", "NumberFontNormalLarge")
t9:SetPoint("TOPLEFT", 214, -96)
t9:SetWidth(80)
t9:SetHeight(202)
t9:SetJustifyH("RIGHT")
f2:Show()

local f3 = CreateFrame("Frame",nil,UIParent,"TooltipBorderedFrameTemplate")
f3:SetWidth(360)
f3:SetHeight(420)
f3:SetAlpha(.90)
f3:SetPoint("CENTER",0,200)
f3:SetMovable(true)
f3:EnableMouse(true)
f3:SetClampedToScreen(true)
f3:RegisterForDrag("RightButton")
f3:SetScript("OnDragStart", f2.StartMoving)
f3:SetScript("OnDragStop", f2.StopMovingOrSizing)
f3:SetScript("OnMouseDown", function (self, button)
	if(button == "LeftButton") then f3:Hide() end
end)
local t6 = f3:CreateFontString(nil, "OVERLAY", "GameFontNormalLarge")
t6:SetPoint("TOPLEFT", 20, -6)
t6:SetWidth(340)
t6:SetHeight(384)
t6:SetJustifyH("LEFT")
f3:Show()

local pHealAmount, pHealCount, pDamageAmount, pDamageCount = 0, 0, 0, 0
local pRangeAmount, pRangeCount, pSwingAmount, pSwingCount = 0, 0, 0, 0
local pSpellAmount, pSpellCount, pHeal, pDamage, pMissCount = 0, 0, 0, 0, 0
local pGearArea, pStatArea, pGearCount, pGearAmount = "Gear", "Stats", 0, 0

function ResetAllAreas()
	pHealAmount, pHealCount, pDamageAmount, pDamageCount, pRangeAmount, pRangeCount = 0, 0, 0, 0, 0, 0
	pSwingAmount, pSwingCount, pSpellAmount, pSpellCount, pMissCount, pHeal, pDamage = 0, 0, 0, 0, 0, 0, 0
	f1:Show()
	f3:Show()
end

function SendStatus(self, ...)
	local playerUsed = UnitGUID("player")
	local targetUsed = UnitGUID("target")
	local _, eventtype, _, sourceGUID, _, _, _, destGUID, _, _, _ = ...
	if(sourceGUID == playerUsed) then
		if(eventtype == "SWING_DAMAGE") then
			local amount, overkill, school, resisted, blocked, absorbed, critical, glancing, curshing, isOffHand = select(12, ...)
			pSwingCount = pSwingCount + 1
			pSwingAmount = pSwingAmount + amount
		end
		if(eventtype == "SPELL_DAMAGE") then
			local spellId, spellName, spellSchool, spellamount, spelloverkill, pschool, presisted, pblocked, pabsorbed, pcritical, pglancing, pcurshing, pisOffHand = select(12, ...)
			pSpellCount = pSpellCount + 1
			pSpellAmount = pSpellAmount + spellamount
		end
		if(eventtype == "SPELL_PERIODIC_DAMAGE") then
			local spellId, spellName, spellSchool, spellamount, spelloverkill, pschool, presisted, pblocked, pabsorbed, pcritical, pglancing, pcurshing, pisOffHand = select(12, ...)
			pSpellCount = pSpellCount + 1
			pSpellAmount = pSpellAmount + spellamount
		end
		if(eventtype == "RANGE_DAMAGE") then
			local rangeId, rangeName, rangeSchool, rangeamount, rangeoverkill, rschool, rresisted, rblocked, rabsorbed, rcritical, rglancing, rcurshing, risOffHand = select(12, ...)
			pRangeCount = pRangeCount + 1
			pRangeAmount = pRangeAmount + rangeamount
		end
		if(eventtype == "SWING_MISSED") then pMissCount = pMissCount + 1; end
		if(eventtype == "SPELL_MISSED") then pMissCount = pMissCount + 1; end
		if(eventtype == "RANGE_MISSED") then pMissCount = pMissCount + 1; end
	end
	if(destGUID == playerUsed) then
		if(eventtype == "SWING_DAMAGE") then
			local amount, overkill, school, resisted, blocked, absorbed, critical, glancing, curshing, isOffHand = select(12, ...)
			pDamageCount = pDamageCount + 1
			pDamageAmount = pDamageAmount + amount
		end
		if(eventtype == "SPELL_DAMAGE") then
			local spellId, spellName, spellSchool, spellamount, spelloverkill, pschool, presisted, pblocked, pabsorbed, pcritical, pglancing, pcurshing, pisOffHand = select(12, ...)
			pDamageCount = pDamageCount + 1
			pDamageAmount = pDamageAmount + spellamount
		end
		if(eventtype == "SPELL_PERIODIC") then
			local spellId, spellName, spellSchool, spellamount, spelloverkill, pschool, presisted, pblocked, pabsorbed, pcritical, pglancing, pcurshing, pisOffHand = select(12, ...)
			pDamageCount = pDamageCount + 1
			pDamageAmount = pDamageAmount + spellamount
		end
		if(eventtype == "RANGE_DAMAGE") then
			local rangeId, rangeName, rangeSchool, rangeamount, rangeoverkill, rschool, rresisted, rblocked, rabsorbed, rcritical, rglancing, rcurshing, risOffHand = select(12, ...)
			pDamageCount = pDamageCount + 1
			pDamageAmount = pDamageAmount + rangeamount
		end
		if(eventtype == "SWING_MISSED") then pDamageCount = pDamageCount + 1; end
		if(eventtype == "SPELL_MISSED") then pDamageCount = pDamageCount + 1; end
		if(eventtype == "RANGE_MISSED") then pDamageCount = pDamageCount + 1; end
	end
end

function UpdateHealing(self, event, flags, amount, type)
	if(event == "HEAL") then pHealCount = pHealCount + 1 ; pHealAmount = pHealAmount + amount end
end

function UpdateGearView(self, gearName, gearLevel)
	local gearStat = 0
	if(gearLevel == nil) then gearStat = 0 end
	if(gearLevel ~= nil) then gearStat = gearLevel end
	pGearArea = pGearArea .. "\n" .. gearName
	pStatArea = pStatArea .. "\n" .. gearStat
	pGearCount = pGearCount + 1
	pGearAmount = pGearAmount + gearStat
end

function UpdateMainHand()
	itemLink = GetInventoryItemLink("player", GetInventorySlotInfo("MainHandSlot"))
	if(itemLink ~= nil) then local _, _, _, wLvl = GetItemInfo(itemLink) ; UpdateGearView(self, "Main Hand", wLvl) end
end

function UpdateSecondary() 
	itemLink = GetInventoryItemLink("player", GetInventorySlotInfo("SecondaryHandSlot"))
	if(itemLink ~= nil) then local _, _, _, wLvl = GetItemInfo(itemLink) ; UpdateGearView(self, "Off Hand", wLvl) end
end

function UpdateHead() 
	itemLink = GetInventoryItemLink("player", GetInventorySlotInfo("HeadSlot"))
	if(itemLink ~= nil) then local _, _, _, wLvl = GetItemInfo(itemLink) ; UpdateGearView(self, "Head", wLvl) end
end

function UpdateNeck() 
	itemLink = GetInventoryItemLink("player", GetInventorySlotInfo("NeckSlot"))
	if(itemLink ~= nil) then local _, _, _, wLvl = GetItemInfo(itemLink) ; UpdateGearView(self, "Neck", wLvl) end
end

function UpdateShoulder() 
	itemLink = GetInventoryItemLink("player", GetInventorySlotInfo("ShoulderSlot"))
	if(itemLink ~= nil) then local _, _, _, wLvl = GetItemInfo(itemLink) ; UpdateGearView(self, "Shoulder", wLvl) end
end

function UpdateBack() 
	itemLink = GetInventoryItemLink("player", GetInventorySlotInfo("BackSlot"))
	if(itemLink ~= nil) then local _, _, _, wLvl = GetItemInfo(itemLink) ; UpdateGearView(self, "Back", wLvl) end
end

function UpdateChest() 
	itemLink = GetInventoryItemLink("player", GetInventorySlotInfo("ChestSlot"))
	if(itemLink ~= nil) then local _, _, _, wLvl = GetItemInfo(itemLink) ; UpdateGearView(self, "Chest", wLvl) end
end

function UpdateWrist() 
	itemLink = GetInventoryItemLink("player", GetInventorySlotInfo("WristSlot"))
	if(itemLink ~= nil) then local _, _, _, wLvl = GetItemInfo(itemLink) ; UpdateGearView(self, "Wrist", wLvl) end
end

function UpdateHands() 
	itemLink = GetInventoryItemLink("player", GetInventorySlotInfo("HandsSlot"))
	if(itemLink ~= nil) then local _, _, _, wLvl = GetItemInfo(itemLink) ; UpdateGearView(self, "Hands", wLvl) end
end

function UpdateWaist() 
	itemLink = GetInventoryItemLink("player", GetInventorySlotInfo("WaistSlot"))
	if(itemLink ~= nil) then local _, _, _, wLvl = GetItemInfo(itemLink) ; UpdateGearView(self, "Waist", wLvl) end
end

function UpdateLegs() 
	itemLink = GetInventoryItemLink("player", GetInventorySlotInfo("LegsSlot"))
	if(itemLink ~= nil) then local _, _, _, wLvl = GetItemInfo(itemLink) ; UpdateGearView(self, "Legs", wLvl) end
end

function UpdateFeet() 
	itemLink = GetInventoryItemLink("player", GetInventorySlotInfo("FeetSlot"))
	if(itemLink ~= nil) then local _, _, _, wLvl = GetItemInfo(itemLink) ; UpdateGearView(self, "Feet", wLvl) end
end

function UpdateFingerOne() 
	itemLink = GetInventoryItemLink("player", GetInventorySlotInfo("Finger0Slot"))
	if(itemLink ~= nil) then local _, _, _, wLvl = GetItemInfo(itemLink) ; UpdateGearView(self, "Finger", wLvl) end
end

function UpdateFingerTwo() 
	itemLink = GetInventoryItemLink("player", GetInventorySlotInfo("Finger1Slot"))
	if(itemLink ~= nil) then local _, _, _, wLvl = GetItemInfo(itemLink) ; UpdateGearView(self, "Finger", wLvl) end
end

function UpdateTrinketOne() 
	itemLink = GetInventoryItemLink("player", GetInventorySlotInfo("Trinket0Slot"))
	if(itemLink ~= nil) then local _, _, _, wLvl = GetItemInfo(itemLink) ; UpdateGearView(self, "Trinket", wLvl) end
end

function UpdateTrinketTwo() 
	itemLink = GetInventoryItemLink("player", GetInventorySlotInfo("Trinket1Slot"))
	if(itemLink ~= nil) then local _, _, _, wLvl = GetItemInfo(itemLink) ; UpdateGearView(self, "Trinket", wLvl) end
end

function UpdateGear()
	pGearCount, pGearAmount = 0, 0
	pGearArea, pStatArea = " ", " "
	UpdateMainHand() ; UpdateSecondary() ; UpdateHead() ; UpdateNeck() ; UpdateBack() ; UpdateShoulder(); UpdateChest() ; UpdateWrist()
	UpdateWaist() ; UpdateLegs() ; UpdateFeet() ; UpdateFingerOne() ; UpdateFingerTwo() ; UpdateTrinketOne() ; UpdateTrinketTwo()
	pGearArea = pGearArea .. "\n" .. "Equipped"
	if(pGearCount > 0) then pStatArea = pStatArea .. "\n" .. format("%.0f", (pGearAmount / pGearCount)) end
end

function UpdateStats()
	local pCrit = format("%.2f%%", GetCritChance())
	local sCrit = format("%.2f%%", GetSpellCritChance())
	local rCrit = format("%.2f%%", GetRangedCritChance())
	local pHit, base = GetManaRegen()
	local cSpeed, rSpeed, fSpeed, sSpeed = GetUnitSpeed("player")
	local bPwr, pPwr, nPwr = UnitAttackPower("player")
	local rbPwr, rpPwr, rnPwr = UnitRangedAttackPower("player")
	local ePwr = bPwr + pPwr + nPwr
	local rePwr = rbPwr + rpPwr + rnPwr
	local saText = "Attack\nRanged\n\nMelee Crit\nSpell Crit\nRanged Crit\n\nMana Regen\nCombat Regen\nMove Speed\n" .. pGearArea
	local sbText = ePwr .. "\n" .. rePwr .. "\n\n" .. pCrit .. "\n" .. sCrit .. "\n" .. rCrit .. "\n\n" .. format("%.2f", (base * 2)) .. "\n" .. format("%.2f", (pHit * 2)) .. "\n" .. format("%.0f", cSpeed) .. "\n" .. pStatArea
	t1:SetText(saText) ; t2:SetText(sbText)
end

function UpdateCombat()
	local mName = UnitName("target")
	local mHealth = UnitHealth("target")
	local mMana = UnitPower("target")
	local pHealth = UnitHealth("player")
	local pMana = UnitPower("player")
	local pName = UnitName("player")
	local pTotal, pSwingAvg, pRangeAvg, pSpellAvg = 0, 0, 0, 0, 0, 0
	local pTotalAmount = pSpellAmount + pSwingAmount + pRangeAmount
	local pTotalCount = pSpellCount + pSwingCount + pRangeCount + pMissCount
	if(pDamageCount > 0) then pDamage = pDamageAmount / pDamageCount end
	if(pSwingCount > 0) then pSwingAvg = pSwingAmount / pSwingCount end
	if(pRangeCount > 0) then pRangeAvg = pRangeAmount / pRangeCount end
	if(pSpellCount > 0) then pSpellAvg = pSpellAmount / pSpellCount end
	if(pTotalCount > 0) then pTotal = pTotalAmount / pTotalCount end
	if(pHealCount > 0) then pHeal = pHealAmount / pHealCount end
	if(mName == nil) then mName = "Target" end
	local vText = pName .. "\nPower\n\n" .. mName .. "\nPower\n\n\nMissed\nSwing\nSpell\nRange\n\nAttacks\nHeal\nDamage"
	local rText = pHealth .. "\n" .. pMana .. "\n\n" .. mHealth .. "\n" .. mMana

	local lText = format("%8s", "Hits") .. "\n" .. format("%8d", pMissCount)
	lText = lText .. "\n" .. format("%8d", pSwingCount)
	lText = lText .. "\n" .. format("%8d", pSpellCount)
	lText = lText .. "\n" .. format("%8d", pRangeCount)
	lText = lText .. "\n\n" .. format("%8d", pTotalCount)
	lText = lText .. "\n" .. format("%8d", pHealCount)
	lText = lText .. "\n" .. format("%8d", pDamageCount)

	local kText = format("%8s", "Avg") .. "\n"
	kText = kText .. "\n" .. format("%8d", pSwingAvg)
	kText = kText .. "\n" .. format("%8d", pSpellAvg)
	kText = kText .. "\n" .. format("%8d", pRangeAvg)
	kText = kText .. "\n\n" .. format("%8d", pTotal)
	kText = kText .. "\n" .. format("%8d", pHeal)
	kText = kText .. "\n" .. format("%8d", pDamage)

	local gText = format("%8s", "Total") .. "\n"
	gText = gText .. "\n" .. format("%8d", pSwingAmount)
	gText = gText .. "\n" .. format("%8d", pSpellAmount)
	gText = gText .. "\n" .. format("%8d", pRangeAmount)
	gText = gText .. "\n\n" .. format("%8d", pTotalAmount)
	gText = gText .. "\n" .. format("%8d", pHealAmount)
	gText = gText .. "\n" .. format("%8d", pDamageAmount)

	t3:SetText(vText)
	t4:SetText(rText)
	t5:SetText(lText)
	t8:SetText(kText)
	t9:SetText(gText)
end

function UpdateExperience()
	local pLvl = UnitLevel("player")
	local pExp = UnitXP("player")
	local pExpMax = UnitXPMax("player")
	local tExp = pExpMax - pExp
	local pXPLvl = ((pLvl * 5) + 45)
	local tExpCount = tExp / pXPLvl
	local qText = "NPC\n\n" .. format("%.0f", tExpCount) .. " at " .. pXPLvl .. " xp (Level " .. pLvl .. ")\n" .. tExp .. " xp\n\n" .. pZoneArea .. "\n\n" .. pDungeonArea
	t6:SetText(qText)
end

function UpdateZone()
	local pLvl = UnitLevel("player")
	pZoneArea = "Zones\n\n"
	pDungeonArea = "Dungeons\n\n"
	if(pLvl < 10) then pZoneArea = "Dun Morogh\nDurotar\nElwynn Forest\nMulgore\nTeldrassil\nTirisfal Glades " end
	if(pLvl > 9) then
		if(pLvl < 26) then pZoneArea = "Zones\n\nBarrens" end
	end
	if(pLvl > 9) then
		if(pLvl < 19) then pZoneArea = pZoneArea .. "\n" .. "Darkshore\nLock Modan\nSilverpine Forest\nWestfall" end
		if(pLvl > 14) then
			if(pLvl < 26) then pZoneArea = pZoneArea .. "\n" .. "Redridge Mountains" end
			if(pLvl < 28) then pZoneArea = pZoneArea .. "\n" .. "Stonetalon Mountains" end
		end
		if(pLvl > 17) then
			if(pLvl < 31) then pZoneArea = pZoneArea .. "\n" .. "Ashenvale" end
			if(pLvl < 31) then pZoneArea = pZoneArea .. "\n" .. "Duskwood" end
		end
		if(pLvl > 19) then
			if(pLvl < 31) then pZoneArea = pZoneArea .. "\n" .. "Hillsbrad Foothills" end
			if(pLvl < 31) then pZoneArea = pZoneArea .. "\n" .. "Wetlands" end
		end
	end
	if(pLvl > 24) then
		if(pLvl < 36) then pZoneArea = "Zones\n\nThousand Needles" end
		if(pLvl < 31) then pZoneArea = pZoneArea .. "\n" .. "Hillsbrad Foothills" end
		if(pLvl < 31) then pZoneArea = pZoneArea .. "\n" .. "Wetlands" end
		if(pLvl < 26) then pZoneArea = pZoneArea .. "\n" .. "Redridge Mountains" end
		if(pLvl < 28) then pZoneArea = pZoneArea .. "\n" .. "Stonetalon Mountains" end
		if(pLvl < 31) then pZoneArea = pZoneArea .. "\n" .. "Ashenvale" end
		if(pLvl < 31) then pZoneArea = pZoneArea .. "\n" .. "Duskwood" end
	end
	if(pLvl > 30) then
		if(pLvl < 46) then
			pZoneArea = pZoneArea .. "\n" .. "Stranglethorn Vale"
			if(pLvl > 34) then pZoneArea = pZoneArea .. "\n" .. "Duskwallow Marsh\nBadlands\nSwamp of Sorrows" end
		end
		if(pLvl < 41) then pZoneArea = pZoneArea .. "\n" .. "Alterac Mountains\nArathi Highlands\nDesolace" end
	end
	if(pLvl > 39) then
		if(pLvl < 51) then pZoneArea = "Zones\n\nFeralas\nHinterlands\nTanaris" end
		if(pLvl < 46) then pZoneArea = pZoneArea .. "\n" .. "Stranglethorn Vale" end
		if(pLvl > 44) then pZoneArea = pZoneArea .. "\n" .. "Searing Gorge" end
	end
	if(pLvl > 44) then
		if(pLvl < 59) then pZoneArea = "Zones\n\nAzshara\nBlasted Lands\nUn'goro Crater\nFelwood\nBurning Steppes\nWestern Plaguelands" end
		if(pLvl < 51) then pZoneArea = pZoneArea .. "\n" .. "Searing Gorge" end	
	end
	if(pLvl > 52) then
		pZoneArea = "Zones\n\nEastern Plaguelands\nWinterspring\nDeadwing Pass\nMoonglade\nSilithus"
		if(pLvl < 59) then pZoneArea = pZoneArea .. "\n" .. "Burning Steppes\nWestern Plaguelands" end	
	end
	if(pLvl > 12) then
		if(pLvl < 19) then pDungeonArea = pDungeonArea .. "Ragefire Chasm (Horde) (RFC)" end
	end
	if(pLvl > 16) then
		if(pLvl < 25) then pDungeonArea = pDungeonArea .. "\n" .. "Wailing Caverns (WC)" end
		if(pLvl < 27) then pDungeonArea = pDungeonArea .. "\n" .. "The Deadmines (Alliance) (VC)" end
	end
	if(pLvl > 21) then
		if(pLvl < 30) then pDungeonArea = pDungeonArea .. "\n" .. "Shadowfang Keep (SFK)" end
	end
	if(pLvl > 24) then
		if(pLvl < 32) then pDungeonArea = pDungeonArea .. "\n" .. "Blackfathom Deeps (BFD)\nThe Stockade (Alliance) (Stocks)" end
	end
	if(pLvl > 28) then
		if(pLvl < 39) then
			pDungeonArea = pDungeonArea .. "\n" .. "Gnomeregan (Gnomer)\nRazorfen Kraul (RFK)"
			if(pLvl > 32) then pDungeonArea = "Dungeons\n\n" .. "Gnomeregan (Gnomer)\nRazorfen Kraul (RFK)" end
		end
	end
	if(pLvl > 33) then
		if(pLvl < 45) then pDungeonArea = pDungeonArea .. "\n" .. "The Scarlet Monastery (SM)" end
	end
	if(pLvl > 36) then
		if(pLvl < 47) then pDungeonArea = pDungeonArea .. "\n" .. "Razorfen Downs (RFD)" end
	end
	if(pLvl > 40) then
		if(pLvl < 52) then pDungeonArea = pDungeonArea .. "\n" .. "Uldaman (UD)" end
	end
	if(pLvl > 41) then
		if(pLvl < 47) then pDungeonArea = pDungeonArea .. "\n" .. "Zul'Farrak (ZF)" end
	end
	if(pLvl > 45) then
		if(pLvl < 56) then pDungeonArea = pDungeonArea .. "\n" .. "Maraudon (MARA)" end
	end
	if(pLvl > 49) then
		if(pLvl < 57) then pDungeonArea = pDungeonArea .. "\n" .. "Temple of Atal'Hakkar (ST)" end
	end
	if(pLvl > 51) then
		if(pLvl < 61) then
			pDungeonArea = pDungeonArea .. "\n" .. "Blackrock Depths (BRD)"
			if(pLvl > 56) then pDungeonArea = "Dungeons\n\n" .. "Blackrock Depths (BRD)" end
		end
	end
	if(pLvl > 54) then
		if(pLvl < 61) then
			pDungeonArea = pDungeonArea .. "\n" .. "Lower Blackrock Spire (LBRS)\nDiremaul (DM)\nUpper Blackrock Spire (10) (UBRS)"
			if(pLvl > 58) then pDungeonArea = pDungeonArea .. "\n" .. "Stratholme (STRAT)\nScholomance (SCHOLO)" end
		end
	end
end

function ShowStats()
	UpdateZone() ; UpdateExperience() ; UpdateGear() ; UpdateStats() ; UpdateCombat() ; UpdateZone()
end

MainMenuBarLeftEndCap:Hide()
MainMenuBarRightEndCap:Hide()




